Package ghidra.util.database

# Class FieldSpan.Empty

java.lang.Object
ghidra.util.database.FieldSpan.Empty

All Implemented Interfaces:
  `End.EndSpan<Field,FieldSpan>`, `Span<End<Field>,FieldSpan>`, `Span.Empty<End<Field>,FieldSpan>`, `FieldSpan`, `Comparable<FieldSpan>`

Enclosing interface:
  `FieldSpan`

public static final class FieldSpan.Empty extends Object implements FieldSpan, Span.Empty<End<Field>,FieldSpan>
The singleton empty span of field values

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface ghidra.util.database.FieldSpan

  `FieldSpan.Domain, FieldSpan.Empty, FieldSpan.Impl`

  ## Nested classes/interfaces inherited from interface generic.Span

  `Span.DefaultSpanMap<N,S extends Span<N,S>,V>, Span.DefaultSpanSet<N,S extends Span<N,S>>, Span.Domain<N,S extends Span<N,S>>, Span.Empty<N,S extends Span<N,S>>, Span.MutableSpanMap<N,S extends Span<N,S>,V>, Span.MutableSpanSet<N,S extends Span<N,S>>, Span.SpanMap<N,S extends Span<N,S>,V>, Span.SpanMapSetter<E,N,S extends Span<N,S>,V>, Span.SpanSet<N,S extends Span<N,S>>`

- ## Field Summary

  ### Fields inherited from interface ghidra.util.database.FieldSpan

  `ALL, DOMAIN, EMPTY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Span.Domain<End<Field>,FieldSpan>`
  `domain()`
  Get the domain of this span's endpoints
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface generic.End.EndSpan

  `containsPoint`

  ### Methods inherited from interface generic.Span

  `bound, compareTo, encloses, intersect, intersects, maxIsFinite, minIsFinite, subtract, toString`

  ### Methods inherited from interface generic.Span.Empty

  `contains, isEmpty, max, min`

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### domain

    public Span.Domain<End<Field>,FieldSpan> domain()
    Description copied from interface: `Span`
    Get the domain of this span's endpoints
    Specified by:
      `domain` in interface `Span<End<Field>,FieldSpan>`
    Returns:
      the domain